Skip to content

Transaction Response

| View as Markdown

This API will return the Payment Status of a transaction from POS Machine to merchant’s laptop/ desktop. We must pass merchant id, order id and unique id in request. If the request has valid details, we will get to know the status in terms of status code along with details related to the payment.

https://kraken.airpay.co.in/airpay/ms/pos/api/transaction-response
FieldTypeDescription
mercidStringMerchant Id (length 1-12, required)
orderidStringOrder ID (length 1-20, required)
uniqueidStringUnique ID is a unique identifier and have unique value (length 4-10, required)
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/pos/api/transaction-response' \
--form 'mercid=71234' \
--form 'orderid=102' \
--form 'uniqueid=91f5evhk72'
FieldTypeDescription
statusNumberStatus Code
200 - Success
502 - Failed
100 - Merchant Id not valid
112 - Invalid Order id
113 - Amount not valid
messageStringStatus Message
TRANSACTIONID - Transaction id
APTRANSACTIONID - Airpay transaction id
INVOICE_NO - Invoice number
MERCHANTID - Merchant id
TERMINALID - Terminal id
​CARDISSUER -​ Card issuer
​CHMOD -​ Payment channel used to make payment
​AMOUNT​ - Amount
​SURCHARGE -​ Surcharge (Additional charges for particular transaction)
​CURRENCYCODE -​ Code of currency
​TRANSACTIONSTATUS -​ Transaction status 200 - Success400 - Failed510 - Account not valid112 - Invalid Order id113 - Amount not valid
​MESSAGE -​ message
​RRN​ - 12 digit unique number to verify the transaction whether it is success or failure.
​AUTHCODE​ - Authentication Code (Bank code. 6 digits code)
​CUSTOMER - Customer name
​CUSTOMERPHONE​ - Customer phone number
​CARD_NUMBER​ - Card number
​CARDUNIQUECODE -​ Unique code of card
​CUSTOMEREMAIL -​ Customer email id
​TOKEN​ - Token
​TRANSACTIONTYPE​ - Transaction type 310 - Authorization320 - Sale330 - Capture340 - Refund350 - Chargeback420 - Void
​ISRISK - Risk transaction
​IPNID​ - IPN id (It is a number generated by payment gateway)
​ap_SecureHash -​ Secure hash generated by airpay
HTTP/1.1 200 OK
{
"status": 200,
"message":
{
"TRANSACTIONID":"145290311",
"APTRANSACTIONID": "007941",
"INVOICE_NO": "000068",
"MERCHANTID": "71234",
"TERMINALID": "00702664",
"​CARDISSUER​": "​mastercard​",
"​CHMOD​": "​pos​",
"​AMOUNT​": "​100.00​",
"​SURCHARGE​": "​1.00​",
"​CURRENCYCODE​": "​356​",
"​TRANSACTIONSTATUS​": "​200​",
"​MESSAGE​": "​Successful​",
"​RRN​": "​000881088251​",
"​AUTHCODE​": "​000687​",
"​CUSTOMER​": "​Mathew George",
"​CUSTOMERPHONE​": "​9XXXXXX064​",
"​CARD_NUMBER​": "​524254xxxxxx381",
"​CARDUNIQUECODE​"​: ​"",
"​CUSTOMEREMAIL​": "xyz@example.com",
"​TOKEN​"​: ​"",
"​TRANSACTIONTYPE​": "​420​",
"​ISRISK​": "​N​",
"​IPNID​": "​005122​",
"​ap_SecureHash​": "​0098130100​"
}
}
HTTP/1.1 112 Invalid
{
"status": 112,
"message": {"ORDER_ID": ["Invalid Order id."] }
}
HTTP/1.1 502 Not Found
{
"status": 502,
"message": {"ORDER_ID": ["Order does not exist."] }
}